Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECPoint.Fp

    java.lang.Object
      org.bouncycastle.math.ec.ECPoint
          org.bouncycastle.math.ec.ECPoint.AbstractFp
              org.bouncycastle.math.ec.ECPoint.Fp

Enclosing class:
  ECPoint

public static class ECPoint.Fp
extends ECPoint.AbstractFp

Elliptic curve points over Fp

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECPoint
`ECPoint.AbstractF2m, ECPoint.AbstractFp, ECPoint.F2m, ECPoint.Fp`

Field Summary

Fields inherited from class org.bouncycastle.math.ec.ECPoint
`curve, EMPTY_ZS, preCompTable, x, y, zs`

Method Summary
`ECPoint` | `add(ECPoint b)`
`protected ECFieldElement` | `calculateJacobianModifiedW(ECFieldElement Z, ECFieldElement ZSquared)`
`protected ECPoint` | `detach()`
`protected ECFieldElement` | `doubleProductFromSquares(ECFieldElement a, ECFieldElement b, ECFieldElement aSquared, ECFieldElement bSquared)`
`protected ECFieldElement` | `eight(ECFieldElement x)`
`protected ECFieldElement` | `four(ECFieldElement x)`
`protected ECFieldElement` | `getJacobianModifiedW()`
`ECFieldElement` | `getZCoord(int index)`
`ECPoint` | `negate()`
`protected ECFieldElement` | `three(ECFieldElement x)`
`ECPoint` | `threeTimes()`
`ECPoint` | `timesPow2(int e)`
`ECPoint` | `twice()`
`protected ECPoint.Fp` | `twiceJacobianModified(boolean calculateW)`
`ECPoint` | `twicePlus(ECPoint b)`
`protected ECFieldElement` | `two(ECFieldElement x)`

Methods inherited from class org.bouncycastle.math.ec.ECPoint.AbstractFp
`getCompressionYTilde, satisfiesCurveEquation, subtract`

Methods inherited from class org.bouncycastle.math.ec.ECPoint
`checkNormalized, createScaledPoint, encodeTo, equals, equals, getAffineXCoord, getAffineYCoord, getCurve, getCurveCoordinateSystem, getDetachedPoint, getEncoded, getEncodedLength, getInitialZCoords, getRawXCoord, getRawYCoord, getRawZCoords, getXCoord, getYCoord, getZCoords, hashCode, isInfinity, isNormalized, isValid, multiply, normalize, satisfiesOrder, scaleX, scaleXNegateY, scaleY, scaleYNegateX, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### detach

    protected ECPoint detach()

  Specified by:
    `detach` in class `ECPoint`

### getZCoord

    public ECFieldElement getZCoord(int index)

  Overrides:
    `getZCoord` in class `ECPoint`

### add

    public ECPoint add(ECPoint b)

  Specified by:
    `add` in class `ECPoint`

### twice

    public ECPoint twice()

  Specified by:
    `twice` in class `ECPoint`

### twicePlus

    public ECPoint twicePlus(ECPoint b)

  Overrides:
    `twicePlus` in class `ECPoint`

### threeTimes

    public ECPoint threeTimes()

  Overrides:
    `threeTimes` in class `ECPoint`

### timesPow2

    public ECPoint timesPow2(int e)

  Overrides:
    `timesPow2` in class `ECPoint`

### two

    protected ECFieldElement two(ECFieldElement x)

### three

    protected ECFieldElement three(ECFieldElement x)

### four

    protected ECFieldElement four(ECFieldElement x)

### eight

    protected ECFieldElement eight(ECFieldElement x)

### doubleProductFromSquares

    protected ECFieldElement doubleProductFromSquares(ECFieldElement a,
                                                      ECFieldElement b,
                                                      ECFieldElement aSquared,
                                                      ECFieldElement bSquared)

### negate

    public ECPoint negate()

  Specified by:
    `negate` in class `ECPoint`

### calculateJacobianModifiedW

    protected ECFieldElement calculateJacobianModifiedW(ECFieldElement Z,
                                                        ECFieldElement ZSquared)

### getJacobianModifiedW

    protected ECFieldElement getJacobianModifiedW()

### twiceJacobianModified

    protected ECPoint.Fp twiceJacobianModified(boolean calculateW)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD